# Generated by Django 4.0.4 on 2022-06-08 07:58

import wagtail.blocks
import wagtail.fields
import wagtail.images.blocks
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0082_districtgeofeaturedetailpage_parts_section_title"),
    ]

    operations = [
        migrations.AddField(
            model_name="districthomepage",
            name="footer_person_list",
            field=wagtail.fields.StreamField(
                [
                    (
                        "footer_person_list",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "position",
                                    wagtail.blocks.CharBlock(
                                        label="Název pozice", required=False
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Osoba",
                                        page_type=["district.DistrictPersonPage"],
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="Osoby v zápatí webu",
            ),
        ),
    ]
